#include <stdio.h>
#include <stdbool.h>
#include <stdint.h>
#include "boards.h"


#include "app_uart.h"
#include "app_error.h"
#include "nrf_delay.h"
#include "nrf.h"
#include "bsp.h"

#include "nrf_drv_config.h"

//^C}[p
#include "y_timer.h"

//Main.c
//#include "sub_code.h"


static void uart_error_handle(app_uart_evt_t * p_event)
{
    if (p_event->evt_type == APP_UART_COMMUNICATION_ERROR)
    {
        APP_ERROR_HANDLER(p_event->data.error_communication);
    }
    else if (p_event->evt_type == APP_UART_FIFO_ERROR)
    {
        APP_ERROR_HANDLER(p_event->data.error_code);
    }
}

void uart_init_w(){
	
#define UART_TX_BUF_SIZE         1024 
#define UART_RX_BUF_SIZE         32 

	uint32_t err_code;
	const app_uart_comm_params_t comm_params =
      {
          RX_PIN_NUMBER,
          TX_PIN_NUMBER,
          RTS_PIN_NUMBER,
          CTS_PIN_NUMBER,
          APP_UART_FLOW_CONTROL_ENABLED,
          false,
          UART_BAUDRATE_BAUDRATE_Baud38400
      };

    APP_UART_FIFO_INIT(&comm_params,
                         UART_RX_BUF_SIZE,
                         UART_TX_BUF_SIZE,
                         uart_error_handle,
                         APP_IRQ_PRIORITY_LOW,
                         err_code);

    APP_ERROR_CHECK(err_code);
}


void get_ms(unsigned long * timestamp){
		*timestamp = millis();
		return;
}
void Sub(){
    int i_data = 1;  //Data_Load(); Abridgement
    unsigned long * ul_time = 0;
    get_ms(ul_time);
    printf("timestamp:%lu\r\n",*ul_time);
    printf("i_data = %d\r\n",i_data);
}

int main(void) {


    //device_init(); //Abridgement
		uart_init_w(); //ʐMxݒ
    timers_init();
    application_timers_start();

		printf("Loop Start\r\n\r\n");
    while(1){
			Sub();
			nrf_delay_ms(100);
    }

}

